# File rocrand_mrg31k3p.h

## Definition (`library/include/rocrand/rocrand_mrg31k3p.h`)

- Program Listing for File rocrand_mrg31k3p.h

## Includes

- `rocrand/rocrand_common.h` (File rocrand_common.h)

- `rocrand/rocrand_mrg31k3p_precomputed.h` (File rocrand_mrg31k3p_precomputed.h)

## Included By

- File rocrand_discrete.h

- File rocrand_kernel.h

- File rocrand_log_normal.h

- File rocrand_normal.h

- File rocrand_poisson.h

- File rocrand_uniform.h

## Namespaces

- Namespace rocrand_device

## Functions

- Function rocrand()

- Function rocrand_init()

- Function skipahead()

- Function skipahead_sequence()

- Function skipahead_subsequence()

## Defines

- Define FQUALIFIERS

- Define ROCRAND_MRG31K3P_DEFAULT_SEED

- Define ROCRAND_MRG31K3P_M1

- Define ROCRAND_MRG31K3P_M2

- Define ROCRAND_MRG31K3P_MASK12

- Define ROCRAND_MRG31K3P_MASK13

- Define ROCRAND_MRG31K3P_MASK21

- Define ROCRAND_MRG31K3P_NORM_DOUBLE

- Define ROCRAND_MRG31K3P_UINT32_NORM